#include <bits/stdc++.h>

using namespace std;

int n, a;

int set3()
{

}

int main()
{
    scanf("%d %d", &n, &a);
    if (n/a < 3)
    {
        printf("-1\n");
    }
    cout << "16 14\n16 14\n17 15" << endl;
    return 0;
}